# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'dm-pg-json/version'

Gem::Specification.new do |gem|
  gem.name          = "dm-pg-json"
  gem.version       = DataMapper::PostgresJSON::VERSION
  gem.authors       = ['StyleSeek Engineering Team']
  gem.email         = ['engineering@styleseek.com']
  gem.description   = %q{Adds support for the JSON datatype (available in PostgreSQL 9.3+) to DataMapper}
  gem.summary       = %q{Adds support for the JSON datatype to DataMapper}
  gem.homepage      = "https://github.com/styleseek/dm-pg-json"
  gem.license       = "MIT"

  gem.files         = `git ls-files`.split($/)
  gem.executables   = gem.files.grep(%r{^bin/}) { |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ["lib"]

  gem.add_dependency 'dm-core'
  gem.add_dependency 'dm-postgres-adapter'
  gem.add_dependency 'dm-migrations'
  gem.add_dependency 'dm-validations'

  gem.add_development_dependency "bundler", "~> 1.3"
  gem.add_development_dependency "rake"
end
